#!/usr/bin/env python

#%module
#% description: Test
#% keyword: raster
#%end
#%option G_OPT_R_ELEV
#%end

import sys

import grass.script as grass

from grass.pygrass.raster import RasterSegment


def body(elevation):

    dem = RasterSegment(elevation)

    output = dem.open('r')

    return output


def main():
    '''Main function.'''

    elevation  = options['elevation']

    body(elevation)


if __name__ == '__main__':
    options, flags = grass.parser()
    sys.exit(main())
